program test;

uses graph, vga2pcx;   { test program to show usage of vga2pcx function }

const FILENAME = 'TEST.PCX';

var driver, graphics_mode, i : integer;
    ok                       : boolean;

begin

  driver:=vga;
  graphics_mode:=vgahi;
  writeln('This program requires EGAVGA.BIN');
  initgraph(driver, graphics_mode, ''); { assume BGI drivers in current dir }

  { use some colors on the screen }

  setcolor(15);
  for i:=0 to 16 do
  begin
    setfillstyle(solidfill,i);
    bar(i*40,0,(i+1)*40-1,400);
  end;
  rectangle(0,0,639,400);

  { use some colors on the screen }

  setcolor(14);
  outtextxy(129,420,'Press ENTER to save this screen to file '+FILENAME);
  readln;
  setcolor(15);
  outtextxy(25,445,'Saving screen . . .');

  { save to PCX file }

  write_pcx(FILENAME, ok);
  if ok then outtextxy(25,460,'Done, press enter.')
        else outtextxy(25,460,'Save unsucessful, press enter.');

  readln;
  closegraph;
  writeln('Fast VGA-2-PCX transfer by Bren Sessions.');
  writeln('Remember, source code is included.');

end.
